I'm utilizing a joomla templet with XAMPP 1.7.2 that has PHP 5.3. in mac os x 10.5.7 i'm getting plenty of trouble like

Deprecated: Function eregi() is deprecated in /Programs/XAMPP/xamppfiles/htdocs/templet01/plug ins/system/tbox.php online 98

Joomla is not functioning correctly.

Help.

-Daniel

It is possible to discharge of Joomla that's ready for php 5.3? If that's the case change to that. Or downgrade XAMPP to some version with php 5.2.X. Or otherwise using XAMPP whatsoever and rather using macports (note if you would like php 5.2 youll need to grab that old port file and host a nearby repo - it is not as hard because it sounds - i actually do it on my small machine) or compile the origin yourself in /usr/local or /opt.

However this may also be that merely truning off display_errors inside your php.ini will fix the problem - or altering the mistake level.

Joomla 1.5.15 or more works with php 5.3.

Nevertheless the OpenID authentication module is not compatible.